Package com.ocient.util

# Class FlattenedRow

java.lang.Object
com.ocient.util.FlattenedRow

All Implemented Interfaces:
  `com.ibm.asyncutil.util.Either<List<Object>,DataEndMarker>`, `Row`

public class FlattenedRow extends Object
Row that has been flattened to a single `Object`.

## Constructor Summary

Constructors
Constructor
Description
`FlattenedRow(Object row)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`<V> V`
`fold(Function<? super List<Object>,? extends V> leftFn, Function<? super DataEndMarker,? extends V> rightFn)`
`int`
`hashCode()`
`boolean`
`isLeft()`
`boolean`
`isRight()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.ibm.asyncutil.util.Either

`flatMap, forEach, left, map, map, right`

### Methods inherited from interface com.ocient.util.Row

`isDataEndMarker`

## Constructor Details

### FlattenedRow

public FlattenedRow(Object row)

## Method Details

### isLeft

public boolean isLeft()

Specified by:
  `isLeft` in interface `com.ibm.asyncutil.util.Either<List<Object>,DataEndMarker>`

### isRight

public boolean isRight()

Specified by:
  `isRight` in interface `com.ibm.asyncutil.util.Either<List<Object>,DataEndMarker>`

### fold

public <V> V fold(Function<? super List<Object>,? extends V> leftFn, Function<? super DataEndMarker,? extends V> rightFn)

Specified by:
  `fold` in interface `com.ibm.asyncutil.util.Either<List<Object>,DataEndMarker>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`